Package org.apache.qpid.proton.message

# Interface ProtonJMessage

All Superinterfaces:
  `Message`

All Known Implementing Classes:
  `MessageImpl`

public interface ProtonJMessage extends Message

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.message.Message

`Message.Factory`

## Field Summary

### Fields inherited from interface org.apache.qpid.proton.message.Message

`DEFAULT_PRIORITY`

## Method Summary

Modifier and Type
Method
Description
`int`
`encode(WritableBuffer buffer)`
Encodes the current Message contents into the given `WritableBuffer` instance.
`int`
`encode2(byte[] data, int offset, int length)`

### Methods inherited from interface org.apache.qpid.proton.message.Message

`clear, decode, decode, encode, getAddress, getApplicationProperties, getBody, getContentEncoding, getContentType, getCorrelationId, getCreationTime, getDeliveryAnnotations, getDeliveryCount, getError, getExpiryTime, getFooter, getGroupId, getGroupSequence, getHeader, getMessageAnnotations, getMessageId, getPriority, getProperties, getReplyTo, getReplyToGroupId, getSubject, getTtl, getUserId, isDurable, isFirstAcquirer, setAddress, setApplicationProperties, setBody, setContentEncoding, setContentType, setCorrelationId, setCreationTime, setDeliveryAnnotations, setDeliveryCount, setDurable, setExpiryTime, setFirstAcquirer, setFooter, setGroupId, setGroupSequence, setHeader, setMessageAnnotations, setMessageId, setPriority, setProperties, setReplyTo, setReplyToGroupId, setSubject, setTtl, setUserId`

## Method Details

### encode2

int encode2(byte[] data, int offset, int length)

### encode

int encode(WritableBuffer buffer)
Description copied from interface: `Message`
Encodes the current Message contents into the given `WritableBuffer` instance.

This method attempts to encode all message data into the `WritableBuffer` and if the buffer has insufficient space it will throw an exception to indicate the buffer overflow condition. If successful the method returns the number of bytes written to the provided buffer to fully encode the message.

Specified by:
  `encode` in interface `Message`
Parameters:
  `buffer` - The `WritableBuffer` instance to encode the message contents into.
Returns:
  the number of bytes written to fully encode the message.